html {
	scroll-behavior: smooth;
	padding: 0;
	margin: 0;
	border: 0;
	overflow-x: initial !important;
}
a {
	text-decoration: none;
	color: #FF5853;
}
a:hover {
	text-decoration: underline;
}
body {
	font-family: 'Lato', Helvetica, sans-serif;
	font-size: 1.4em;
	line-height: 210%;
	background-color: #FFFFFF;
	color: black;
	margin: 0;
}
ul {
	background-color: #FFFF;
	margin: 0px;
	padding: 0px;
	list-style-type: none;
}
li {
	margin: 0;
	float: left;
}
li a {
	color: white;
}

body, html {
    height: 100%;
    width: 100%;
    padding: 0;
    overflow-x: hidden;
}
h1 {
	font-size: 48px;
}
#learnMoreCarat {
}
#hideMoreCarat {
}
#anchAboutMe {
	display: block;
    position: relative;
    top: -180px;
    visibility: hidden;
}
#myImg {
  border-radius: 5px;
  cursor: pointer;
  transition: 0.3s;
}
#myImg2 {
	border-radius: 5px;
	cursor: pointer;
	transition: 0.3s;
  }
  #myImg3 {
	border-radius: 5px;
	cursor: pointer;
	transition: 0.3s;
  }
  #myImg4 {
	border-radius: 5px;
	cursor: pointer;
	transition: 0.3s;
  }

#myImg:hover {opacity: 0.7;}
#myImg2:hover {opacity: 0.7;}
#myImg3:hover {opacity: 0.7;}
#myImg4:hover {opacity: 0.7;}


.hero {
	width: 100%;
    height: 100vh;
    padding: 0;
    overflow-x: hidden;
    overflow-y: hidden;
    overflow: hidden;
}
.hero .btn {
	/* Positioning and sizing */
    display: block;
    width: 200px;
    height: 75px;
    
    /* Padding and margins */
    padding: 1em;
    margin-top: 50px;
    margin-left: auto;
    margin-right: auto;
    
    /* Text styles */
    color: white;
    text-decoration: none;
    font-size: 1.5em;

    /* Border styles */
    border: 3px solid white;
    border-radius: 20px;
    
    /* Background styles */
    background-color: rgba(147, 112, 219, 0.8);
    background-color: #FF5853;
    cursor: pointer;
}
.hero .btn:hover {
	background-color: #ad5956;
}
.hero .btn:focus {
	outline: none;
}
/* The hero image */
.hero-image {
  /* Use "linear-gradient" to add a darken background effect to the image (photographer.jpg). This will make the text easier to read */
  background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url("ipad.jpg");

  /* Set a specific height */
  height: 100%;
  width: 100%;
  padding: 0;

  /* Position and center the image to scale nicely on all screens */
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: fixed;
  position: relative;
  z-index: 99;
  padding: 0;
  margin: 0;
  overflow-x: hidden;
  overflow-y: hidden;
}
@media only screen and (min-width: 1500px) {
	.hero-image {
		background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url("plant.jpg");
	}
}
.hero-text {
  text-align: center;
  position: absolute;
  font-size: 16px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: white;
  overflow-y: hidden;
}	

.avatar {
	max-width: 75%;
	max-height: 100%;
	border-radius: 50%;
}
#xOut {
	display: none;
}
.container {
	width: 80%;
	margin: auto;
	position: relative;
	display: flex;
	flex-wrap: wrap;
}

.menuA {
	display: block;
}
.menuBar {
	position: fixed;
	top: 0px;
	width: 100%;
	background-color: #5c53ff;
	z-index: 98;
	box-shadow: 0 0.125rem 0.25rem 0 rgba(0,0,0,0.11);
	-webkit-user-select: none;
	-ms-user-select: none;
	-moz-user-select: none;
	display: none;
}
.menuBar li:hover {
	background-color: #463cff;
}
.menuBar li:active {
	background-color: #4e45ff;
}
.menuBar a {
	text-decoration: none;
	padding: 8px;
	padding-right: 12px;
	padding-left: 12px;
	display: inline-block;
}
.menuBar a:hover {
	/*background-color: #463cff;*/
}
.menuBar a:active {
	/*background-color: #4e45ff;*/
}
.mobile {
	display: none;
}
.mobile:active {
}
.mobile li {
	display: block;
	margin: auto;
	padding-top: 15px;
	text-decoration: none;
	height: 100%;
}

.introBox {
	padding: 10px;
	margin-left: 3%;
	margin-top: 10%;
	max-width: 66.6%;
}
#logo {
	text-align: center;
	padding-right: 7%;
	color: white;
	font-size: 4em;
	margin-top: 4%;
}
.introBox p {
	font-size: 1.5vw;
}
.learnMore {
	display: flex;
	left: 100px;
	text-align: center;
	align-items: center;
	justify-content: center;
	cursor: pointer;
}
.hiddenMore {
	display: flex;
	left: 100px;
	text-align: center;
	align-items: center;
	justify-content: center;
	cursor: pointer;
}
.expanded {
	display: none;
	/*This fixes the jumping jQuery script,
	May look better with the bug tho?
	/*
	overflow: hidden;
	*/
}
.navBlur {
	display: none;
}
.h1class {
	color:#708090;
}
.anchAboutMe {
	display: block;
    position: relative;
    top: 250px;
    visibility: hidden;
}
.h2class {
	color: #708090;
	font-size: 1.4em;
}
.infoBox {
	padding: 15px;
	text-align: center;
	margin-top: 7%;
	max-width: 25.333333%;
	/**box-sizing: 15em;*/
}
.infoTextSizing {
	margin: 0px 0 10px 0;
	line-height: 1.6em;
	font-size: 1.6em;
}
.infoTextSizing p {
	margin: 0px 0 0px 0;
}
.infoTextSizing h2 {
	margin: 10px 0 10px 0;	
}

.infoText {
	text-align: center;
}
.refLinks {
	text-decoration: none;
	color: white;
	transform: scale(1.5);
	line-height: 1em;
	transition: transform .2s;
	display: flex;
	align-items: center;
	text-align: center;
	position: relative;
}
.refLinks:hover {
}
.emailLink {
	margin-left: auto;
	transition: transform .2s;
}
.githubLink {
	margin-left: 8px;
	margin-right: 8px;
	transition: transform .2s;
}
.linkedinLink {
	margin-right: 8px;
	transition: transform .2s;
}
.resumeLink {
	margin-right: auto;
	transition: transform .2s;
}
.emailLink:hover {
	transform: scale(2);
}
.githubLink:hover {
	transform: scale(2);
}
.linkedinLink:hover {
	transform: scale(2);
}
.resumeLink:hover {
	transform: scale(2);
}
h4 {
	font-size: 1.65em;
	color: #708090; 
}
.Gallery {
	text-decoration: none;
	word-spacing: 15px;
	border: none;
	color: #708090;
	font-size: 1.65em;
}
.galleryVideos {
}
.galleryImages img {
	max-width: 800px;
	max-height: 400px;
	min-height: 350px;
	min-width: 500px;
	box-shadow: 0.125rem 0.125rem 0.25rem 0.125rem rgba(0,0,0,0.51);
}
.galleryImages {
} 

/** MODAL STUFF, BORING LOOK AWAY **/
/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 100; /* Sit on top */
  padding-top: 100px; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.9); /* Black w/ opacity */
}

/* Modal Content (Image) */
.modal-content {
  margin: auto;
  display: block;
  width: 60%;
}
.loader {
	border: 16px solid #f3f3f3; /* Light grey */
	border-top: 16px solid #3498db; /* Blue */
	border-radius: 50%;
	width: 120px;
	height: 120px;
	animation: spin 2s linear infinite;
  }
  
  @keyframes spin {
	0% { transform: rotate(0deg); }
	100% { transform: rotate(360deg); }
  }
#logo {
	display: none;
}

/* Caption of Modal Image (Image Text) - Same Width as the Image */
#caption {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 700px;
  text-align: center;
  color: #ccc;
  padding: 10px 0;
  height: 150px;
}

/* Add Animation - Zoom in the Modal */
.modal-content, #caption {
  animation-name: zoom;
  animation-duration: 0.6s;
}

@keyframes zoom {
  from {transform:scale(0)}
  to {transform:scale(1)}
}

/* The Close Button */
.close {
  position: absolute;
  top: 65px;
  right: 35px;
  color: #f1f1f1;
  font-size: 40px;
  font-weight: bold;
  transition: 0.3s;
}

.close:hover,
.close:focus {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
}

/* 100% Image Width on Smaller Screens */
@media only screen and (max-width: 700px){
  .modal-content {
    width: 100%;
  }
}

.titles {
	padding-left: 5%;
	background-color: #F7F7F7;
	display: flex;
}
.Products {
	background-color: #FFFFFF;
	padding-left: 5%;
	margin-bottom: 50px;
}

.allProducts {
	display: flex;
	flex-flow: row wrap;
	flex-wrap: wrap;
	justify-content: center;
	align-items: center;
	min-width: 885px;
}
.singleProduct {
	margin-right: 75px;
	margin-left: 5px;
	padding-bottom: 15px;
	font-size: 22px;
	min-width: 800px;
	background-clip: content-box;
	box-shadow: 0 0.125rem 0.25rem 0 rgba(0,0,0,0.21);
	max-width: 800px;
	margin-bottom: 30px;
}
.singleProduct p {
	line-height: 1.4em;
	text-align: center;
}
.singleProduct:hover {
	box-shadow: 0.125rem 0.125rem 0.25rem 0.125rem rgba(0,0,0,0.51);
}
.productTitle {
	font-weight: bold;
	color: #708090;
	}
.Description {
	font-weight: normal;
}
.centerLoader {
	display: flex;
	align-items: center;
  	justify-content: center;

}
.downloadLink {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
}
.downloadLink input {
	background-color: #FF5853;
	cursor: pointer;
	border-radius: 35px;
	font-family : inherit;
	color: white;
	padding: 15px 32px;
	text-decoration: none;
	border: none;
	font-size: 1.2rem;
	outline: none;
	margin-left: 5px;
	margin-right: 5px;
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;	
	opacity: 1;
}
.downloadLink input:hover {
	background-color: #ad5956;
}
.downloadLink a {

}

#footer {
	background-color: #b0b2b2;
	display: block;
	line-height: 1em;
	font-size: 2em;
	height: 0vh;
	bottom: 0;
	left: 0;
	width: 0vw;
}
.footerr {
	background-color: #FFFFFF ;
	display: flex;
}
.footerr p{
	margin: 0;
	text-align: center;
	font-size: 2.8vw;
	display: block;
	padding-bottom: 5px;
	margin-left: 10%;
}
.footerr a {
	color: #708090;
}
.footerbtns {
	display: flex;
	flex-wrap: wrap;
	top: 0px;
	justify-content: center;
	height: auto;
	flex-direction: column;
	width: 48%;
}
.footerbtns p{
	padding-left: 15px;
	top: 0;
}
.footerbtns a {
	padding-top: 0;
	top: 0;
	outline: none;
}
#topSVG {
	outline: none;
	transition: transform .2s;
}
.topAnim:hover > #topSVG {
	transform: translate(0%, -50%);
	transform: scale(1.5%);
}
.homeBtn {
	background: url(/public_html/images/svg/top.svg);
    cursor:pointer;
    border:none;
    width:100px;
    height:100px;
}
.anchorBtns {
	width: 49%;
	margin-right: 0%;
}
.anchorBtns p {
	text-align: left;
}
#copyright {
	font-size: 0.8em;
}
@media screen and (min-width: 600px) {
	.introBox p {
	  font-size: 2.5vw;
	}
  }
  @media screen and (min-width: 1300px) {
	.introBox{
	  max-width: 66.333333%;
	}
	.infoBox {
		margin-top: 7.8%;
	}
	.infoBox {
		font-size: 1.2rem;
	}
	.introBox p {
		font-size: 1.5rem;
	}
	.galleryImages img {
		min-width: 500px;
		width: 37%;
	}
	.avatar {
		max-width: 60%;
	}
  }
  @media screen and (min-width: 1550px) {
	.introBox p {
	  font-size: 1.5vw;
	}
	.footerr p {
		font-size: 1.5vw;
	}
  }
@media screen and (min-width: 990px) and (max-width: 1299px) {
	.introBox {
		max-width: 55.333333%;
	}
  }
  @media screen and (max-width: 750){
	.menuBar{
		height: 85px;
	}
}
  @media screen and (max-width: 990px) {
	.infoBox {
		margin: auto;
		margin-top: 18%;
		font-size: 2rem;
		max-width: 46.333333%;
	}
	.introBox {
		margin: auto;
		max-width: 100%;
		padding: 0;
	}
	.introBox p {
		font-size: 4.5vw;
		line-height: 190%;
	}
	.h1class {
		font-size: 4em;
	}
	.infoTextSizing {
		font-size: 1.8em;
	}
	.container {
		display: block;
	}
	.avatar {
		max-width: 80%;
	}
	.hero-image {
		background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url("iphone.jpg");
	}
	.galleryImages img {
		width: 100%;
		height: 100%;
		min-height: auto;
		min-width: 0;
		max-height: 800px;
	}
	.modal-content {
		width: 80%;
	}
	.modal {
		padding-top: 75%;
	}
	.desktop {
		display: none;
	}
	.mobile {
		display: block;
		text-align: center;
		margin-left: 15px;
	}
	.menuBar {
		height: 105px;
	}
	.hero-text h1 {
		font-size: 5em;
	}
	.hero .btn {
		width: 225px;
		height: 100px;
		font-size: 2em;
		padding: 0;
	}
	.navBlur {
		width: 100%;
		background-color: black;
		z-index: 97;
		font-size: 3em;
		flex-direction: column;
		color: white;
		background-color: rgba(0,0,0,0.85);
		position: fixed;
		top: 20px;
		transition: 0.5s;
	}
	.navBlur a {
		padding-top: 75px;
		padding-bottom: 75px;
		padding-left: 35px;
		color:  white;
		opacity: 1;
		border-bottom: 2px solid gray;
	}
	.navBlur a:hover {
		background-color: rgba(0,0,0,0.1);
		text-decoration: none;
	}
	.navBlur p {
		font-size: 0.8em;
	}
	#homeBlur {
		margin-top: 8%;
	}
	#nameBlur {
		position: fixed;
		bottom: 5px;
		margin-bottom: 5px;
		font-size: 0.3em;
	}
	.refLinks {
		transform: scale(2.5);
		margin-top: 15px;
	}
	.singleProduct {
		font-size: 1.8em;
	}
	.downloadLink input {
		font-size: 0.9em;
	}
	.Gallery {
		font-size: 1.4em;
	}
	h4 {
		font-size: 4em;
	}
	h3 {
		font-size: 3.5em;
	}
	#msjc {
		font-size: 0.7em;
	}
  }
@media screen and (min-width: 3000px) {
	body {
		font-size: 3.5em;
	}
	.refLinks {
		transform: scale(4);
	}
}